<?php
/**
 * Return the default options of the theme
 *
 * @return  void
 */

function themesflat_customize_default($key)
{
    $default = array(
        'social_links' => array("facebook" => '#', "google-plus" => '#', "twitter" => '#', "skype" => '#', "linkedin" => '#'),
        'show_social_share' => 0,
        'topbar_row_stretch' => 0,
        'topbar_background_color' => '#03b162',
        'topbar_textcolor' => '#ffffff',
        'topbar_link_color_hover' => '#fbd83f',
        'number_related_post' => 2,
        'topbar_button_bg' => '#fbd83f',
        'topbar_button_bg_hover' => '#fbd83f',
        'topbar_button_color' => '#203b48',
        'topbar_button_color_hover' => '#03b162',
        'topbar_show' => 1,
        'sidebar_position' => 'sidebar-right',
        'topbar_info' => '<ul class="flat-information">
                             <li>
                                <i class="hamela-digital-icon-phone-call"></i>
                                <span>Call Us: +36 (0) 1779 228 338</span>
                             </li>
                             <li>
                                <i class="hamela-digital-icon-envelope"></i>
                                <span>Email: hamela@example.com</span>
                             </li>
                          </ul>',

        'topbar_questions' => '<i class="hamela-digital-icon-comments"></i><span>Have any questions?</span>',
        'topbar_btn_text' => 'Request a quote',
        'topbar_btn_link' => '#',
        'topbar_bgcolor' => '#11161e',
        'topbar_color' => '#ffffff',
        'topbar_content' => ' <div class="main-header-contact">
                        <div class="text-phone">
                            <p>Phone Services</p>
                            <a href="tel:555 666 999 00"><span>555 666 999 00</span></a>
                        </div>
                        <a href="tel:555 666 999 00" class="call"><i class="fas fa-phone-alt"></i></a>
                    </div>',
        'logo_controls' => array('padding-top' => '', 'padding-left' => '', 'padding-bottom' => ''),
        'style_header' => 'header-style2',
        'header_row_stretch' => 0,
        'header_backgroundcolor' => '#11161e',
        'header_sticky' => 1,
        'bread_crumb_prefix' => '',
        'breadcrumb_separator' => '<i class="fa fa-chevron-right"></i>',
        'footer_widget_areas' => 2,
        'show_post_navigator' => 1,
        'show_entry_footer_content' => 1,
        'logo_width' => 121,
        'menu_location_primary' => 'primary',
        'site_logo' => THEMESFLAT_LINK . 'images/logo.png',
        'site_logo_mobile' => THEMESFLAT_LINK . 'images/logo-mobile.png',
        'page_title_background_color' => 'rgba(17,22,30,0.8)',
        'icon-header' => THEMESFLAT_LINK . '/images/header-detail1.svg',
        'icon-header2' => THEMESFLAT_LINK . '/images/header-detail2.svg',
        'breadcrumb_color' => '#fff',
        'breadcrumb_link_color' => '#d98f00',
        'breadcrumb_link_color_hover' => '#fff',
        'breadcrumb_separator_color' => '#fff',
        'page_title_text_color' => 'rgba(255,255,255,1)',
        'page_title_controls' => array('padding-top' => 222, 'padding-bottom' => 188),
        'page_title_background_image' => '',
        'page_title_image_size' => 'auto',
        'page_title_heading_enabled' => 1,
        'footer1' => 'footer-1',
        'footer2' => 'footer-2',
        'footer3' => 'footer-3',
        'footer4' => 'footer-4',
        'header_backgroundcolor_sticky' => '#11161e',
        'mainnav_color' => '#fff',
        'mainnav_hover_color' => '#ffa800',
        'sub_nav_color' => '#203b48',
        'sub_nav_background' => '#ffffff',
        'sub_nav_color_hover' => '#ffa800',
        'sub_nav_background_hover' => '#f9f8f8',
        'sub_nav_border_color' => '#f7f7f7',
        'primary_color' => '#ffa800',
        'accent_color' => '#d98f00',
        'secondary_color' => '#11161e',
        'number_related_post_services' => 4,
        'body_text_color' => '#777777',
        'body_background_color' => '#f3f3f4',
        'body_font_name' => array(
            'family' => 'Open Sans',
            'style' => 'regular',
            'size' => '14',
            'line_height' => '24px'
        ),
        'menu_font_name' => array(
            'family' => 'Oswald',
            'style' => '500',
            'size' => '16',
            'line_height' => '1.3',
        ),
        'sub_menu_font_name' => array(
            'family' => 'Oswald',
            'style' => '500',
            'size' => '14',
            'line_height' => '1.3',
        ),
        'headings_font_name' => array(
            'family' => 'Oswald',
            'style' => '700',
            'line_height' => '1.3',
        ),
        'h1_size' => 72,
        'h2_size' => 48,
        'h3_size' => 32,
        'h4_size' => 24,
        'h5_size' => 18,
        'h6_size' => 16,
        'breadcrumb_enabled' => 1,
        'show_post_paginator' => 0,
        'blog_grid_columns' => 2,
        'blog_archive_exclude' => '',
        'blog_featured_title' => 'Blog',
        'blog_layout' => 'sidebar-right',
        'blog_archive_layout' => 'blog-list',
        'related_post_style' => 'blog-grid',
        'blog_sidebar_list' => 'blog-sidebar',
        'blog_layout_single' => 'sidebar-right',
        'blog_single_sidebar_list' => 'blog-single-sidebar',
        'blog_archive_readmore' => 1,
        'blog_archive_post_excepts_length' => 42,
        'blog_archive_readmore_text' => 'READ MORE',
        'blog_archive_pagination_style' => 'pager-numeric',
        'blog_posts_per_page' => 3,
        'blog_order_by' => 'date',
        'blog_order_direction' => 'DESC',
        'page_sidebar_list' => 'blog-sidebar',
        'show_readmore' => 1,
        'portfolio_grid_columns' => 3,
        'number_related_post_portfolios' => 2,
        'portfolio_order_by' => 'date',
        'portfolio_order_direction' => 'DESC',
        'portfolio_exclude' => '',
        'portfolios_layout' => 'fullwidth',
        'portfolios_show_post_navigator' => 0,
        'portfolios_show_related' => 0,
        'portfolios_related_grid_columns' => 3,
        'services_grid_columns' => 4,
        'services_archive_pagination_style' => 'pager-numeric',
        'services_order_by' => 'date',
        'services_order_direction' => 'DESC',
        'services_exclude' => '',
        'services_layout' => 'fullwidth',
        'services_show_post_navigator' => 0,
        'services_show_related' => 0,
        'services_related_grid_columns' => 3,
        'go_top' => 0,
        'enable_less' => 1,
        'standard_design' => 1,
        'footer_copyright' => 'Copyright by <a href="https://themesflat.com/">@Themesflat </a> All Rights Reserved',
        'copyright_color' => '#fff',
        'copyright_bg' => '#11161e',
        'enable_smooth_scroll' => 0,
        'enable_preload' => 0,
        'preload' => 'preload-6',
        'preload_percent_color' => '#ffffff',
        'preload_percent_bg' => '#000000',
        'show_content' => 1,
        'show_search' => 1,
        'page_title_alignment' => 'left',
        'page_title_button_show' => 0,
        'text_page_title_button' => 'REQUEST A QUOTE!',
        'page_title_button_url' => '#',
        'product_per_page' => 12,
        'product_columns' => 4,
        'product_style' => '1',
        'product_layout' => 'fullwidth',
        'woo_products_related_per_page' => '',
        'woo_products_related_columns' => '',
    );
    return $default[$key];
}