<?php
add_action( 'admin_init', 'themesflat_page_options_init' );

function themesflat_page_options_init() {

    new themesflat_meta_boxes(array(
        // Blog
        'id'    => 'blog-options',
        'label' => esc_html__( 'Post settings', 'dirtywash' ),
        'post_types'    => array('post','faq'),
        'context'     => 'normal',
        'priority'    => 'default',
        'sections' => array(
            'blog'   => array( 'title' => esc_html__( 'Post Format', 'dirtywash' ) ),
            ),
        'options' => themesflat_post_options_fields()
    ));   

     /*new themesflat_meta_boxes(array(
     	// Service
     	'id'	 => 'service-options',
	 	'label'  => esc_html__( ' Settings', 'dirtywash' ),
	 	'post_types'  => 'services',
	     'context'     => 'normal',
         'priority'    => 'default',
	 	'sections' => array(
             'general'   => array( 'title' => esc_html__( 'Service', 'dirtywash' ) ),
	 		),
	 	'options' => themesflat_service_options_fields()
	 ));*/

//    new themesflat_meta_boxes(array(
//        // Service
//        'id'	 => 'author-options',
//        'label'  => esc_html__( ' Settings', 'dirtywash' ),
//        'post_types'  => 'services',
//        'context'     => 'normal',
//        'priority'    => 'default',
//        'sections' => array(
//            'general'   => array( 'title' => esc_html__( 'Service', 'dirtywash' ) ),
//        ),
//        'options' => themesflat_service_options_fields()
//    ));
}

/* Option Blog
===================================*/
function themesflat_post_options_fields() {
    $options['gallery_images_heading'] = array(
        'type' => 'heading',
        'section' => 'blog',
        'title' => esc_html__( 'Post Format: Gallery .', 'dirtywash' ),
        'description' => esc_html__( '', 'dirtywash' )
    );

    $options['gallery_images'] = array(
        'type'    => 'image-control',
        'section' => 'blog',
        'title' => esc_html__( 'Images', 'dirtywash' ),
        'default' => ''
    );

    $options['video_url_heading'] = array(
        'type' => 'heading',
        'section' => 'blog',
        'title' => esc_html__( 'Post Format: Video ( Embeded video from youtube, vimeo ...).', 'dirtywash' ),
        'description' => esc_html__( '', 'dirtywash' )
    );
    $options['video_url'] = array(
        'type'    => 'textarea',
        'section' => 'blog',
        'title' => esc_html__( 'iframe video link', 'dirtywash' ),
        'default' => ''
    );

    $options['audio_url_heading'] = array(
        'type' => 'heading',
        'section' => 'blog',
        'title' => esc_html__( 'Post Format: Audio', 'dirtywash' ),
        'description' => esc_html__( '', 'dirtywash' )
    );
    $options['audio_url'] = array(
        'type'    => 'textarea',
        'section' => 'blog',
        'title' => esc_html__( 'iframe audio link (https://soundcloud.com/)', 'dirtywash' ),
        'default' => ''
    );
    return $options;
}

/* Option service
===================================*/
/* function themesflat_service_options_fields() {
     $options['service_icon'] = array(
         'section' => 'general',
         'default' => '',
         'type'    => 'text',
         'title'   => esc_html__( 'Icon', 'dirtywash' )
     );

     $options['service_icon'] = array(
         'section' => 'general',
         'default' => '',
         'type'    => 'text',
         'title'   => esc_html__( 'Icon', 'dirtywash' )
     );

      $options['service_icon_select'] = array(
         'section' => 'general',
         'default' => '',
         'type'    => 'select',
         'title'   => esc_html__( 'Icon', 'dirtywash' ),
         'choices' => option_icons_list(),
     );

//     $options['portfolio_client'] = array(
//         'section' => 'general',
//         'default' => '',
//         'type'    => 'text',
//         'title'   => esc_html__( 'Name Client', 'dirtywash' )
//     );
//
//     $options['portfolio_website'] = array(
//         'section' => 'general',
//         'default' => '',
//         'type'    => 'text',
//         'title'   => esc_html__( 'Url Client', 'dirtywash' )
//     );
     return $options;
 }*/


add_action( 'show_user_profile', 'tfl_extra_profile_fields' );
add_action( 'edit_user_profile', 'tfl_extra_profile_fields' );

function tfl_extra_profile_fields( $user ) { ?>

    <h3><?php esc_html_e('Extra profile information','tfl'); ?></h3>

    <table class="form-table">

        <tr>
            <th><label for="facebook"><?php esc_html_e('facebook','tfl'); ?></label></th>
            <td>
                <input type="text" name="facebook" id="facebook" value="<?php echo esc_attr( get_the_author_meta( 'facebook', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e('Please enter your facebook username.','tfl'); ?></span>
            </td>
        </tr>

        <tr>
            <th><label for="twitter"><?php esc_html_e('Twitter','tfl'); ?></label></th>
            <td>
                <input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e('Please enter your Twitter username.','tfl'); ?></span>
            </td>
        </tr>

        <tr>
            <th><label for="instagram"><?php esc_html_e('instagram','tfl'); ?></label></th>
            <td>
                <input type="text" name="instagram" id="instagram" value="<?php echo esc_attr( get_the_author_meta( 'instagram', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e('Please enter your instagram username.','tfl'); ?></span>
            </td>
        </tr>

        <tr>
            <th><label for="behance"><?php esc_html_e('behance','tfl'); ?></label></th>
            <td>
                <input type="text" name="behance" id="behance" value="<?php echo esc_attr( get_the_author_meta( 'behance', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e('Please enter your behance username.','tfl'); ?></span>
            </td>
        </tr>

        <tr>
            <th><label for="dribbble"><?php esc_html_e('dribbble','tfl'); ?></label></th>
            <td>
                <input type="text" name="dribbble" id="dribbble" value="<?php echo esc_attr( get_the_author_meta( 'dribbble', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e('Please enter your dribbble username.','tfl'); ?></span>
            </td>
        </tr>

    </table>
<?php }

add_action( 'personal_options_update', 'tfl_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'tfl_save_extra_profile_fields' );

function tfl_save_extra_profile_fields( $user_id ) {

    if ( !current_user_can( 'edit_user', $user_id ) )
        return false;

    /* Copy and paste this line for additional fields. Make sure to change 'twitter' to the field ID. */
    update_usermeta( $user_id, 'dribbble', $_POST['dribbble'] );
    update_usermeta( $user_id, 'twitter', $_POST['twitter'] );
    update_usermeta( $user_id, 'behance', $_POST['behance'] );
    update_usermeta( $user_id, 'instagram', $_POST['instagram'] );
    update_usermeta( $user_id, 'facebook', $_POST['facebook'] );
}

// function option_icons_list(){
//     $icon = array(
//         'no-icon'=> 'No-Icon',
//         'fa-adjust' => 'Adjust',
//         'fa-adn' => 'Adn',
//         'fa-align-center' => 'Align Center',
//         'fa-align-justify' => 'Align Justify',
//         'fa-align-left' => 'Align Left',
//         'fa-align-right' => 'Align Right',
//         'fa-ambulance' => 'Ambulance',
//         'fa-anchor' => 'Anchor',
//         'fa-android' => 'Android',
//         'fa-angle-double-down' => 'Angle Double Down',
//         'fa-angle-double-left' => 'Angle Double Left',
//         'fa-angle-double-right' => 'Angle Double Right',
//         'fa-angle-double-up' => 'Angle Double Up',
//         'fa-angle-down' => 'Angle Down',
//         'fa-angle-left' => 'Angle Left',
//         'fa-angle-right' => 'Angle Right',
//         'fa-angle-up' => 'Angle Up',
//         'fa-apple' => 'Apple',
//         'fa-archive' => 'Archive',
//         'fa-arrow-circle-down' => 'Arrow Circle Down',
//         'fa-arrow-circle-left' => 'Arrow Circle Left',
//         'fa-arrow-circle-o-down' => 'Arrow Circle O Down',
//         'fa-arrow-circle-o-left' => 'Arrow Circle O Left',
//         'fa-arrow-circle-o-right' => 'Arrow Circle O Right',
//         'fa-arrow-circle-o-up' => 'Arrow Circle O Up',
//         'fa-arrow-circle-right' => 'Arrow Circle Right',
//         'fa-arrow-circle-up' => 'Arrow Circle Up',
//         'fa-arrow-down' => 'Arrow Down',
//         'fa-arrow-left' => 'Arrow Left',
//         'fa-arrow-right' => 'Arrow Right',
//         'fa-arrows' => 'Arrows',
//         'fa-arrows-alt' => 'Arrows Alt',
//         'fa-arrows-h' => 'Arrows H',
//         'fa-arrows-v' => 'Arrows V',
//         'fa-arrow-up' => 'Arrow Up',
//         'fa-asterisk' => 'Asterisk',
//         'fa-automobile' => 'Automobile',
//         'fa-backward' => 'Backward',
//         'fa-ban' => 'Ban',
//         'fa-bank' => 'Bank',
//         'fa-bar-chart-o' => 'Bar Chart O',
//         'fa-barcode' => 'Barcode',
//         'fa-bars' => 'Bars',
//         'fa-bed' => 'Bed',
//         'fa-bed' => 'Hotel',
//         'fa-beer' => 'Beer',
//         'fa-behance' => 'Behance',
//         'fa-behance-square' => 'Behance Square',
//         'fa-bell' => 'Bell',
//         'fa-bell-o' => 'Bell O',
//         'fa-bitbucket' => 'Bitbucket',
//         'fa-bitbucket-square' => 'Bitbucket Square',
//         'fa-bitcoin' => 'Bitcoin',
//         'fa-bold' => 'Bold',
//         'fa-bolt' => 'Bolt',
//         'fa-bomb' => 'Bomb',
//         'fa-book' => 'Book',
//         'fa-bookmark' => 'Bookmark',
//         'fa-bookmark-o' => 'Bookmark O',
//         'fa-briefcase' => 'Briefcase',
//         'fa-btc' => 'Btc',
//         'fa-bug' => 'Bug',
//         'fa-building' => 'Building',
//         'fa-building-o' => 'Building O',
//         'fa-bullhorn' => 'Bullhorn',
//         'fa-bullseye' => 'Bullseye',
//         'fa-buysellads' => 'Buysellads',
//         'fa-cab' => 'Cab',
//         'fa-calendar' => 'Calendar',
//         'fa-calendar-o' => 'Calendar O',
//         'fa-camera' => 'Camera',
//         'fa-camera-retro' => 'Camera Retro',
//         'fa-car' => 'Car',
//         'fa-caret-down' => 'Caret Down',
//         'fa-caret-left' => 'Caret Left',
//         'fa-caret-right' => 'Caret Right',
//         'fa-caret-square-o-down' => 'Caret Square O Down',
//         'fa-caret-square-o-left' => 'Caret Square O Left',
//         'fa-caret-square-o-right' => 'Caret Square O Right',
//         'fa-caret-square-o-up' => 'Caret Square O Up',
//         'fa-caret-up' => 'Caret Up',
//         'fa-cart-arrow-down' => 'Cart Arrow Down',
//         'fa-cart-plus' => 'Cart Plus',
//         'fa-certificate' => 'Certificate',
//         'fa-chain' => 'Chain',
//         'fa-chain-broken' => 'Chain Broken',
//         'fa-check' => 'Check',
//         'fa-check-circle' => 'Check Circle',
//         'fa-check-circle-o' => 'Check Circle O',
//         'fa-check-square' => 'Check Square',
//         'fa-check-square-o' => 'Check Square O',
//         'fa-chevron-circle-down' => 'Chevron Circle Down',
//         'fa-chevron-circle-left' => 'Chevron Circle Left',
//         'fa-chevron-circle-right' => 'Chevron Circle Right',
//         'fa-chevron-circle-up' => 'Chevron Circle Up',
//         'fa-chevron-down' => 'Chevron Down',
//         'fa-chevron-left' => 'Chevron Left',
//         'fa-chevron-right' => 'Chevron Right',
//         'fa-chevron-up' => 'Chevron Up',
//         'fa-child' => 'Child',
//         'fa-circle' => 'Circle',
//         'fa-circle-o' => 'Circle O',
//         'fa-circle-o-notch' => 'Circle O Notch',
//         'fa-circle-thin' => 'Circle Thin',
//         'fa-clipboard' => 'Clipboard',
//         'fa-clock-o' => 'Clock O',
//         'fa-cloud' => 'Cloud',
//         'fa-cloud-download' => 'Cloud Download',
//         'fa-cloud-upload' => 'Cloud Upload',
//         'fa-cny' => 'Cny',
//         'fa-code' => 'Code',
//         'fa-code-fork' => 'Code Fork',
//         'fa-codepen' => 'Codepen',
//         'fa-coffee' => 'Coffee',
//         'fa-cog' => 'Cog',
//         'fa-cogs' => 'Cogs',
//         'fa-columns' => 'Columns',
//         'fa-comment' => 'Comment',
//         'fa-comment-o' => 'Comment O',
//         'fa-comments' => 'Comments',
//         'fa-comments-o' => 'Comments O',
//         'fa-compass' => 'Compass',
//         'fa-compress' => 'Compress',
//         'fa-connectdevelop' => 'Connectdevelop',
//         'fa-copy' => 'Copy',
//         'fa-credit-card' => 'Credit Card',
//         'fa-crop' => 'Crop',
//         'fa-crosshairs' => 'Crosshairs',
//         'fa-css3' => 'Css3',
//         'fa-cube' => 'Cube',
//         'fa-cubes' => 'Cubes',
//         'fa-cut' => 'Cut',
//         'fa-cutlery' => 'Cutlery',
//         'fa-dashboard' => 'Dashboard',
//         'fa-dashcube' => 'Dashcube',
//         'fa-database' => 'Database',
//         'fa-dedent' => 'Dedent',
//         'fa-delicious' => 'Delicious',
//         'fa-desktop' => 'Desktop',
//         'fa-deviantart' => 'Deviantart',
//         'fa-diamond' => 'Diamond',
//         'fa-digg' => 'Digg',
//         'fa-dollar' => 'Dollar',
//         'fa-dot-circle-o' => 'Dot Circle O',
//         'fa-download' => 'Download',
//         'fa-dribbble' => 'Dribbble',
//         'fa-dropbox' => 'Dropbox',
//         'fa-drupal' => 'Drupal',
//         'fa-edit' => 'Edit',
//         'fa-eject' => 'Eject',
//         'fa-ellipsis-h' => 'Ellipsis H',
//         'fa-ellipsis-v' => 'Ellipsis V',
//         'fa-empire' => 'Empire',
//         'fa-envelope' => 'Envelope',
//         'fa-envelope-o' => 'Envelope O',
//         'fa-envelope-square' => 'Envelope Square',
//         'fa-eraser' => 'Eraser',
//         'fa-eur' => 'Eur',
//         'fa-euro' => 'Euro',
//         'fa-exchange' => 'Exchange',
//         'fa-exclamation' => 'Exclamation',
//         'fa-exclamation-circle' => 'Exclamation Circle',
//         'fa-exclamation-triangle' => 'Exclamation Triangle',
//         'fa-expand' => 'Expand',
//         'fa-external-link' => 'External Link',
//         'fa-external-link-square' => 'External Link Square',
//         'fa-eye' => 'Eye',
//         'fa-eye-slash' => 'Eye Slash',
//         'fa-facebook' => 'Facebook',
//         'fa-facebook-official' => 'Facebook Official',
//         'fa-facebook-square' => 'Facebook Square',
//         'fa-fast-backward' => 'Fast Backward',
//         'fa-fast-forward' => 'Fast Forward',
//         'fa-fax' => 'Fax',
//         'fa-female' => 'Female',
//         'fa-fighter-jet' => 'Fighter Jet',
//         'fa-file' => 'File',
//         'fa-file-archive-o' => 'File Archive O',
//         'fa-file-audio-o' => 'File Audio O',
//         'fa-file-code-o' => 'File Code O',
//         'fa-file-excel-o' => 'File Excel O',
//         'fa-file-image-o' => 'File Image O',
//         'fa-file-movie-o' => 'File Movie O',
//         'fa-file-o' => 'File O',
//         'fa-file-pdf-o' => 'File Pdf O',
//         'fa-file-photo-o' => 'File Photo O',
//         'fa-file-picture-o' => 'File Picture O',
//         'fa-file-powerpoint-o' => 'File Powerpoint O',
//         'fa-files-o' => 'Files O',
//         'fa-file-sound-o' => 'File Sound O',
//         'fa-file-text' => 'File Text',
//         'fa-file-text-o' => 'File Text O',
//         'fa-file-video-o' => 'File Video O',
//         'fa-file-word-o' => 'File Word O',
//         'fa-file-zip-o' => 'File Zip O',
//         'fa-film' => 'Film',
//         'fa-filter' => 'Filter',
//         'fa-fire' => 'Fire',
//         'fa-fire-extinguisher' => 'Fire Extinguisher',
//         'fa-flag' => 'Flag',
//         'fa-flag-checkered' => 'Flag Checkered',
//         'fa-flag-o' => 'Flag O',
//         'fa-flash' => 'Flash',
//         'fa-flask' => 'Flask',
//         'fa-flickr' => 'Flickr',
//         'fa-floppy-o' => 'Floppy O',
//         'fa-folder' => 'Folder',
//         'fa-folder-o' => 'Folder O',
//         'fa-folder-open' => 'Folder Open',
//         'fa-folder-open-o' => 'Folder Open O',
//         'fa-font' => 'Font',
//         'fa-forumbee' => 'Forumbee',
//         'fa-forward' => 'Forward',
//         'fa-foursquare' => 'Foursquare',
//         'fa-frown-o' => 'Frown O',
//         'fa-gamepad' => 'Gamepad',
//         'fa-gavel' => 'Gavel',
//         'fa-gbp' => 'Gbp',
//         'fa-ge' => 'Ge',
//         'fa-gear' => 'Gear',
//         'fa-gears' => 'Gears',
//         'fa-gift' => 'Gift',
//         'fa-git' => 'Git',
//         'fa-github' => 'Github',
//         'fa-github-alt' => 'Github Alt',
//         'fa-github-square' => 'Github Square',
//         'fa-git-square' => 'Git Square',
//         'fa-gittip' => 'Gittip',
//         'fa-glass' => 'Glass',
//         'fa-globe' => 'Globe',
//         'fa-google' => 'Google',
//         'fa-google-plus' => 'Google Plus',
//         'fa-google-plus-square' => 'Google Plus Square',
//         'fa-graduation-cap' => 'Graduation Cap',
//         'fa-group' => 'Group',
//         'fa-hacker-news' => 'Hacker News',
//         'fa-hand-o-down' => 'Hand O Down',
//         'fa-hand-o-left' => 'Hand O Left',
//         'fa-hand-o-right' => 'Hand O Right',
//         'fa-hand-o-up' => 'Hand O Up',
//         'fa-hdd-o' => 'Hdd O',
//         'fa-header' => 'Header',
//         'fa-headphones' => 'Headphones',
//         'fa-heart' => 'Heart',
//         'fa-heartbeat' => 'Heartbeat',
//         'fa-heart-o' => 'Heart O',
//         'fa-history' => 'History',
//         'fa-home' => 'Home',
//         'fa-hospital-o' => 'Hospital O',
//         'fa-h-square' => 'H Square',
//         'fa-html5' => 'Html5',
//         'fa-image' => 'Image',
//         'fa-inbox' => 'Inbox',
//         'fa-indent' => 'Indent',
//         'fa-info' => 'Info',
//         'fa-info-circle' => 'Info Circle',
//         'fa-inr' => 'Inr',
//         'fa-instagram' => 'Instagram',
//         'fa-institution' => 'Institution',
//         'fa-italic' => 'Italic',
//         'fa-joomla' => 'Joomla',
//         'fa-jpy' => 'Jpy',
//         'fa-jsfiddle' => 'Jsfiddle',
//         'fa-key' => 'Key',
//         'fa-keyboard-o' => 'Keyboard O',
//         'fa-krw' => 'Krw',
//         'fa-language' => 'Language',
//         'fa-laptop' => 'Laptop',
//         'fa-leaf' => 'Leaf',
//         'fa-leanpub' => 'Leanpub',
//         'fa-legal' => 'Legal',
//         'fa-lemon-o' => 'Lemon O',
//         'fa-level-down' => 'Level Down',
//         'fa-level-up' => 'Level Up',
//         'fa-life-bouy' => 'Life Bouy',
//         'fa-life-ring' => 'Life Ring',
//         'fa-life-saver' => 'Life Saver',
//         'fa-lightbulb-o' => 'Lightbulb O',
//         'fa-link' => 'Link',
//         'fa-linkedin' => 'Linkedin',
//         'fa-linkedin-square' => 'Linkedin Square',
//         'fa-linux' => 'Linux',
//         'fa-list' => 'List',
//         'fa-list-alt' => 'List Alt',
//         'fa-list-ol' => 'List Ol',
//         'fa-list-ul' => 'List Ul',
//         'fa-location-arrow' => 'Location Arrow',
//         'fa-lock' => 'Lock',
//         'fa-long-arrow-down' => 'Long Arrow Down',
//         'fa-long-arrow-left' => 'Long Arrow Left',
//         'fa-long-arrow-right' => 'Long Arrow Right',
//         'fa-long-arrow-up' => 'Long Arrow Up',
//         'fa-magic' => 'Magic',
//         'fa-magnet' => 'Magnet',
//         'fa-mail-forward' => 'Mail Forward',
//         'fa-mail-reply' => 'Mail Reply',
//         'fa-mail-reply-all' => 'Mail Reply All',
//         'fa-male' => 'Male',
//         'fa-map-marker' => 'Map Marker',
//         'fa-mars' => 'Mars',
//         'fa-mars-double' => 'Mars Double',
//         'fa-mars-stroke' => 'Mars Stroke',
//         'fa-mars-stroke-h' => 'Mars Stroke H',
//         'fa-mars-stroke-v' => 'Mars Stroke V',
//         'fa-maxcdn' => 'Maxcdn',
//         'fa-medium' => 'Medium',
//         'fa-medkit' => 'Medkit',
//         'fa-meh-o' => 'Meh O',
//         'fa-mercury' => 'Mercury',
//         'fa-microphone' => 'Microphone',
//         'fa-microphone-slash' => 'Microphone Slash',
//         'fa-minus' => 'Minus',
//         'fa-minus-circle' => 'Minus Circle',
//         'fa-minus-square' => 'Minus Square',
//         'fa-minus-square-o' => 'Minus Square O',
//         'fa-mobile' => 'Mobile',
//         'fa-mobile-phone' => 'Mobile Phone',
//         'fa-money' => 'Money',
//         'fa-moon-o' => 'Moon O',
//         'fa-mortar-board' => 'Mortar Board',
//         'fa-motorcycle' => 'Motorcycle',
//         'fa-music' => 'Music',
//         'fa-navicon' => 'Navicon',
//         'fa-neuter' => 'Fa Neuter',
//         'fa-openid' => 'Openid',
//         'fa-outdent' => 'Outdent',
//         'fa-pagelines' => 'Pagelines',
//         'fa-paperclip' => 'Paperclip',
//         'fa-paper-plane' => 'Paper Plane',
//         'fa-paper-plane-o' => 'Paper Plane O',
//         'fa-paragraph' => 'Paragraph',
//         'fa-paste' => 'Paste',
//         'fa-pause' => 'Pause',
//         'fa-paw' => 'Paw',
//         'fa-pencil' => 'Pencil',
//         'fa-pencil-square' => 'Pencil Square',
//         'fa-pencil-square-o' => 'Pencil Square O',
//         'fa-phone' => 'Phone',
//         'fa-phone-square' => 'Phone Square',
//         'fa-photo' => 'Photo',
//         'fa-picture-o' => 'Picture O',
//         'fa-pied-piper' => 'Pied Piper',
//         'fa-pied-piper-alt' => 'Pied Piper Alt',
//         'fa-pied-piper-square' => 'Pied Piper Square',
//         'fa-pinterest' => 'Pinterest',
//         'fa-pinterest-p' => 'Pinterest P',
//         'fa-pinterest-square' => 'Pinterest Square',
//         'fa-plane' => 'Plane',
//         'fa-play' => 'Play',
//         'fa-play-circle' => 'Play Circle',
//         'fa-play-circle-o' => 'Play Circle O',
//         'fa-plus' => 'Plus',
//         'fa-plus-circle' => 'Plus Circle',
//         'fa-plus-square' => 'Plus Square',
//         'fa-plus-square-o' => 'Plus Square O',
//         'fa-power-off' => 'Power Off',
//         'fa-print' => 'Print',
//         'fa-puzzle-piece' => 'Puzzle Piece',
//         'fa-qq' => 'Qq',
//         'fa-qrcode' => 'Qrcode',
//         'fa-question' => 'Question',
//         'fa-question-circle' => 'Question Circle',
//         'fa-quote-left' => 'Quote Left',
//         'fa-quote-right' => 'Quote Right',
//         'fa-ra' => 'Ra',
//         'fa-random' => 'Random',
//         'fa-rebel' => 'Rebel',
//         'fa-recycle' => 'Recycle',
//         'fa-reddit' => 'Reddit',
//         'fa-reddit-square' => 'Reddit Square',
//         'fa-refresh' => 'Refresh',
//         'fa-renren' => 'Renren',
//         'fa-reorder' => 'Reorder',
//         'fa-repeat' => 'Repeat',
//         'fa-reply' => 'Reply',
//         'fa-reply-all' => 'Reply All',
//         'fa-retweet' => 'Retweet',
//         'fa-rmb' => 'Rmb',
//         'fa-road' => 'Road',
//         'fa-rocket' => 'Rocket',
//         'fa-rotate-left' => 'Rotate Left',
//         'fa-rotate-right' => 'Rotate Right',
//         'fa-rouble' => 'Rouble',
//         'fa-rss' => 'Rss',
//         'fa-rss-square' => 'Rss Square',
//         'fa-rub' => 'Rub',
//         'fa-ruble' => 'Ruble',
//         'fa-rupee' => 'Rupee',
//         'fa-save' => 'Save',
//         'fa-scissors' => 'Scissors',
//         'fa-search' => 'Search',
//         'fa-search-minus' => 'Search Minus',
//         'fa-search-plus' => 'Search Plus',
//         'fa-sellsy' => 'Sellsy',
//         'fa-send' => 'Send',
//         'fa-send-o' => 'Send O',
//         'fa-server' => 'Fa Server',
//         'fa-share' => 'Share',
//         'fa-share-alt' => 'Share Alt',
//         'fa-share-alt-square' => 'Share Alt Square',
//         'fa-share-square' => 'Share Square',
//         'fa-share-square-o' => 'Share Square O',
//         'fa-shield' => 'Shield',
//         'fa-ship' => 'Ship',
//         'fa-shirtsinbulk' => 'Shirtsinbulk',
//         'fa-shopping-cart' => 'Shopping Cart',
//         'fa-signal' => 'Signal',
//         'fa-sign-in' => 'Sign In',
//         'fa-sign-out' => 'Sign Out',
//         'fa-simplybuilt' => 'Simplybuilt',
//         'fa-sitemap' => 'Sitemap',
//         'fa-skyatlas' => 'Skyatlas',
//         'fa-skype' => 'Skype',
//         'fa-slack' => 'Slack',
//         'fa-sliders' => 'Sliders',
//         'fa-smile-o' => 'Smile O',
//         'fa-sort' => 'Sort',
//         'fa-sort-alpha-asc' => 'Sort Alpha Asc',
//         'fa-sort-alpha-desc' => 'Sort Alpha Desc',
//         'fa-sort-amount-asc' => 'Sort Amount Asc',
//         'fa-sort-amount-desc' => 'Sort Amount Desc',
//         'fa-sort-asc' => 'Sort Asc',
//         'fa-sort-desc' => 'Sort Desc',
//         'fa-sort-down' => 'Sort Down',
//         'fa-sort-numeric-asc' => 'Sort Numeric Asc',
//         'fa-sort-numeric-desc' => 'Sort Numeric Desc',
//         'fa-sort-up' => 'Sort Up',
//         'fa-soundcloud' => 'Soundcloud',
//         'fa-space-shuttle' => 'Space Shuttle',
//         'fa-spinner' => 'Spinner',
//         'fa-spoon' => 'Spoon',
//         'fa-spotify' => 'Spotify',
//         'fa-square' => 'Square',
//         'fa-square-o' => 'Square O',
//         'fa-stack-exchange' => 'Stack Exchange',
//         'fa-stack-overflow' => 'Stack Overflow',
//         'fa-star' => 'Star',
//         'fa-star-half' => 'Star Half',
//         'fa-star-half-empty' => 'Star Half Empty',
//         'fa-star-half-full' => 'Star Half Full',
//         'fa-star-half-o' => 'Star Half O',
//         'fa-star-o' => 'Star O',
//         'fa-steam' => 'Steam',
//         'fa-steam-square' => 'Steam Square',
//         'fa-step-backward' => 'Step Backward',
//         'fa-step-forward' => 'Step Forward',
//         'fa-stethoscope' => 'Stethoscope',
//         'fa-stop' => 'Stop',
//         'fa-street-view' => 'Street View',
//         'fa-strikethrough' => 'Strikethrough',
//         'fa-stumbleupon' => 'Stumbleupon',
//         'fa-stumbleupon-circle' => 'Stumbleupon Circle',
//         'fa-subscript' => 'Subscript',
//         'fa-subway' => 'Fa Subway',
//         'fa-suitcase' => 'Suitcase',
//         'fa-sun-o' => 'Sun O',
//         'fa-superscript' => 'Superscript',
//         'fa-support' => 'Support',
//         'fa-table' => 'Table',
//         'fa-tablet' => 'Tablet',
//         'fa-tachometer' => 'Tachometer',
//         'fa-tag' => 'Tag',
//         'fa-tags' => 'Tags',
//         'fa-tasks' => 'Tasks',
//         'fa-taxi' => 'Taxi',
//         'fa-tencent-weibo' => 'Tencent Weibo',
//         'fa-terminal' => 'Terminal',
//         'fa-text-height' => 'Text Height',
//         'fa-text-width' => 'Text Width',
//         'fa-th' => 'Th',
//         'fa-th-large' => 'Th Large',
//         'fa-th-list' => 'Th List',
//         'fa-thumbs-down' => 'Thumbs Down',
//         'fa-thumbs-o-down' => 'Thumbs O Down',
//         'fa-thumbs-o-up' => 'Thumbs O Up',
//         'fa-thumbs-up' => 'Thumbs Up',
//         'fa-thumb-tack' => 'Thumb Tack',
//         'fa-ticket' => 'Ticket',
//         'fa-times' => 'Times',
//         'fa-times-circle' => 'Times Circle',
//         'fa-times-circle-o' => 'Times Circle O',
//         'fa-tint' => 'Tint',
//         'fa-toggle-down' => 'Toggle Down',
//         'fa-toggle-left' => 'Toggle Left',
//         'fa-toggle-right' => 'Toggle Right',
//         'fa-toggle-up' => 'Toggle Up',
//         'fa-train' => 'Train',
//         'fa-transgender' => 'Transgender',
//         'fa-transgender-alt' => 'Transgender Alt',
//         'fa-trash-o' => 'Trash O',
//         'fa-tree' => 'Tree',
//         'fa-trello' => 'Trello',
//         'fa-trophy' => 'Trophy',
//         'fa-truck' => 'Truck',
//         'fa-try' => 'Try',
//         'fa-tumblr' => 'Tumblr',
//         'fa-tumblr-square' => 'Tumblr Square',
//         'fa-turkish-lira' => 'Turkish Lira',
//         'fa-twitter' => 'Twitter',
//         'fa-twitter-square' => 'Twitter Square',
//         'fa-umbrella' => 'Umbrella',
//         'fa-underline' => 'Underline',
//         'fa-undo' => 'Undo',
//         'fa-university' => 'University',
//         'fa-unlink' => 'Unlink',
//         'fa-unlock' => 'Unlock',
//         'fa-unlock-alt' => 'Unlock Alt',
//         'fa-unsorted' => 'Unsorted',
//         'fa-upload' => 'Upload',
//         'fa-usd' => 'Usd',
//         'fa-user' => 'User',
//         'fa-user-md' => 'User Md',
//         'fa-user-plus' => 'User Plus',
//         'fa-users' => 'Users',
//         'fa-user-secret' => 'User Secret',
//         'fa-user-times' => 'User Times',
//         'fa-venus' => 'Venus',
//         'fa-venus-double' => 'Venus Double',
//         'fa-venus-mars' => 'Venus Mars',
//         'fa-viacoin' => 'Viacoin',
//         'fa-video-camera' => 'Video Camera',
//         'fa-vimeo-square' => 'Vimeo Square',
//         'fa-vine' => 'Vine',
//         'fa-vk' => 'Vk',
//         'fa-volume-down' => 'Volume Down',
//         'fa-volume-off' => 'Volume Off',
//         'fa-volume-up' => 'Volume Up',
//         'fa-warning' => 'Warning',
//         'fa-wechat' => 'Wechat',
//         'fa-weibo' => 'Weibo',
//         'fa-weixin' => 'Weixin',
//         'fa-whatsapp' => 'Whatsapp',
//         'fa-wheelchair' => 'Wheelchair',
//         'fa-windows' => 'Windows',
//         'fa-won' => 'Won',
//         'fa-wordpress' => 'Wordpress',
//         'fa-wrench' => 'Wrench',
//         'fa-xing' => 'Xing',
//         'fa-xing-square' => 'Xing Square',
//         'fa-yahoo' => 'Yahoo',
//         'fa-yen' => 'Yen',
//         'fa-youtube' => 'Youtube',
//         'fa-youtube-play' => 'Youtube Play',
//         'fa-youtube-square' => 'Youtube Square',
//     );
//     return $icon;
// }